Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMega128L.SimImpl.USART

    java.lang.Object
      avrora.sim.mcu.ATMega128L.SimImpl.USART

All Implemented Interfaces:
  ATMega128L.USARTDevice

Direct Known Subclasses:
  ATMega128L.SimImpl.USART0, ATMega128L.SimImpl.USART1

Enclosing class:
  ATMega128L.SimImpl

protected abstract class ATMega128L.SimImpl.USART
extends java.lang.Object
implements ATMega128L.USARTDevice

The USART class implements a Universal Synchronous Asynchronous Receiver/Transmitter, which is a serial device on the ATMega128L. The ATMega128L has two USARTs, USART0 and USART1.

Nested Class Summary
`protected class` | `ATMega128L.SimImpl.USART.ControlRegisterA` UCSRnA (`ControlRegisterA`) is one of three control/status registers for the USART.
`protected class` | `ATMega128L.SimImpl.USART.ControlRegisterB` UCSRnB (`ControlRegisterB`) is one of three control/status registers for the USART.
`protected class` | `ATMega128L.SimImpl.USART.ControlRegisterC` UCSRnC (`ControlRegisterC`) is one of three control/status registers for the USART.
`protected class` | `ATMega128L.SimImpl.USART.DataRegister` The `DataRegister` class represents a Transmit Data Buffer Register for a USART.
`protected class` | `ATMega128L.SimImpl.USART.Receiver`
`protected class` | `ATMega128L.SimImpl.USART.SerialPrinter` A simple implementation of the USARTDevice interface that connects to a USART on the processor.
`protected class` | `ATMega128L.SimImpl.USART.Transmitter`
`protected class` | `ATMega128L.SimImpl.USART.UBRRnHReg` The high byte of the Baud Rate register.
`protected class` | `ATMega128L.SimImpl.USART.UBRRnLReg` The low byte of the Baud Rate register.

Nested classes inherited from class avrora.sim.mcu.ATMega128L.USARTDevice
`ATMega128L.USARTDevice.USARTFrame`

Method Summary
`protected abstract void` | `initValues()` Initialize the parameters such as interrupt numbers and I/O register numbers that make this USART unique.
`void` | `receiveFrame(ATMega128L.USARTDevice.USARTFrame frame)` Receive a frame.
`void` | `startReceive()` Initiate a receive between the UART and the connected device.
`ATMega128L.USARTDevice.USARTFrame` | `transmitFrame()` Transmit a frame from this device.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### transmitFrame

    public ATMega128L.USARTDevice.USARTFrame transmitFrame()

  Description copied from interface: `ATMega128L.USARTDevice`
  Transmit a frame from this device.

  Specified by:
    `transmitFrame` in interface `ATMega128L.USARTDevice`
  Returns:
    the frame for transmission

### receiveFrame

    public void receiveFrame(ATMega128L.USARTDevice.USARTFrame frame)

  Description copied from interface: `ATMega128L.USARTDevice`
  Receive a frame.

  Specified by:
    `receiveFrame` in interface `ATMega128L.USARTDevice`
  Parameters:
    `frame` - the frame to be received

### initValues

    protected abstract void initValues()

  Initialize the parameters such as interrupt numbers and I/O register numbers that make this USART unique.

### startReceive

    public void startReceive()

  Initiate a receive between the UART and the connected device.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD